import NodeType from './type';
/**
 * Node Class as base class for TextNode and HTMLElement.
 */
export default abstract class Node {
    parentNode: Node;
    abstract nodeType: NodeType;
    childNodes: Node[];
    abstract text: string;
    abstract rawText: string;
    abstract toString(): string;
    constructor(parentNode?: Node);
    get innerText(): string;
    get textContent(): string;
    set textContent(val: string);
}
